Search Unity

Can't run Vuforia Core Sample from Assetstore. 2017.2beta

Discussion in 'Vuforia' started by VincWeiss, Sep 29, 2017.

  1. VincWeiss

    VincWeiss

    Joined:
    Sep 29, 2017
    Posts:
    7
    Hey there,
    I am trying to get the Vuforia Sample Core Asset to run (6.5).
    I ran it (Ver 6.2) in Unity(5.6) and upgraded now.
    It doesn't even import without errors. Are there any thoughts on this?
    Has anyone experienced the same?

    I did install the Vuforia Target Support within the Unity setup.

    Thanks in Advance

    upload_2017-9-29_13-22-27.png
     
  2. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
    Hi VincWeiss,

    Are you trying to run the samples you downloaded for Unity 5.6 in the 2017.2 build, or did you download the 2017.2 samples from the asset store and you're seeing this issue?

    Thanks!
     
    VincWeiss likes this.
  3. VincWeiss

    VincWeiss

    Joined:
    Sep 29, 2017
    Posts:
    7
    I downloaded the new Version of Unity and ran it. After that I downloaded the "new" Vuforia Samples from the Unity Asset Store.

    Thanks for the quick support! :)
     
  4. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
    Have you activated Vuforia in the XR Settings under Player Settings?
     
  5. VincWeiss

    VincWeiss

    Joined:
    Sep 29, 2017
    Posts:
    7
    Yes
     
  6. aloksonu

    aloksonu

    Joined:
    Aug 7, 2017
    Posts:
    4
    Vuforia Core Sample from Assetstore. 2017.2beta
    Showing error in unity 2017.2.0f2

    Assets/Common/CameraSettings.cs(11,7): error CS0246: The type or namespace name `Vuforia' could not be found. Are you missing an assembly reference?

    please help
     
  7. whitebozo

    whitebozo

    Joined:
    Oct 27, 2014
    Posts:
    28
    It should work perfectly fine if you enable it in the XR settings
     
    Vuforia-Strasza likes this.
  8. Adam-Bailey

    Adam-Bailey

    Joined:
    Feb 17, 2015
    Posts:
    230
    2017.3.0b3? I get the same errors in that, works fine in 2017.2.0f2.
     
    Vuforia-Strasza likes this.
  9. Augmenteer

    Augmenteer

    Joined:
    Aug 30, 2015
    Posts:
    43
    Vinc those are deprecated API references, which suggests there is a version mismatch. My advice is to use the latest Core Samples and the latest Unity 2017.2 release ( *use the official commercial release when available )
    • be sure to install Vuforia AR Support from the Download Assistant or XR Settings
    • activate Vuforia AR Support in XR Settings
    • then import the sample
    Tell us if that works.
     
    Vuforia-Strasza likes this.
  10. VincWeiss

    VincWeiss

    Joined:
    Sep 29, 2017
    Posts:
    7
    Hey there,
    So I tried everything. Right now it works without errors but Unity crashes everytime I hit start.
    I am sure I have the right Unity version, XR Settings enabled and the latest Vuforia Samples from the asset store.

    So my solution right now is to stick with Unity 5.6 and Vuvori 6.2 :(
     
  11. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
    Are there any warnings or errors before this crash occurs? What OS are you running Unity on?
     
  12. interuptiveuser

    interuptiveuser

    Joined:
    May 9, 2017
    Posts:
    1
    Getting the the same error for Unity 2017.3.0b4. Does that mean the samples only work with "
    Unity 2017.2.0f2" ? Kindly update help me on this.

    Thank you.
     
  13. Augmenteer

    Augmenteer

    Joined:
    Aug 30, 2015
    Posts:
    43
    The samples only support 2017.2 - not 2017.3 yet. There are new APIs in 2017.3 that aren't supported by the samples.
     
    Vuforia-Strasza likes this.
  14. VincWeiss

    VincWeiss

    Joined:
    Sep 29, 2017
    Posts:
    7
    It runs now. I don't know why. A clean install was the solution. Thanks for all the support. :)
     
  15. Sprarage

    Sprarage

    Joined:
    Aug 1, 2013
    Posts:
    6
    I've found this error goes away when I restart Unity. Not sure if this is 100% reliable...
     
  16. Chris_yes

    Chris_yes

    Joined:
    Feb 25, 2018
    Posts:
    2
    Does Unity 2017.3 support the core samples now?
     
  17. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548